[SRU] hedgewars crash during shutdown

Bug #1779648 reported by Gianfranco Costamagna on 2018-07-02
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
fpc (Ubuntu)
Status tracked in Cosmic
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
hedgewars (Ubuntu)
Status tracked in Cosmic
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned

Bug Description

[Impact]

hedgewars crashes during shutdown, patch at
https://src.fedoraproject.org/rpms/fpc/pull-request/1

[Test Case]
* install hedgewars, start a new game, close it
  - crash

[Regression Potential]
* patch seems to fix a misaligned access, and comes from upstream

summary: - hedgewars crash during shutdown
+ [SRU] hedgewars crash during shutdown
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fpc - 3.0.4+dfsg-20~build1

---------------
fpc (3.0.4+dfsg-20~build1) cosmic; urgency=medium

  * debian/patches/fpc-r38400.patch:
    - fix crash when hedgewars closes (LP: #1779648).

 -- Gianfranco Costamagna <email address hidden> Mon, 02 Jul 2018 14:08:20 +0200

Changed in fpc (Ubuntu Cosmic):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hedgewars - 0.9.24.1-dfsg-4~build1

---------------
hedgewars (0.9.24.1-dfsg-4~build1) cosmic; urgency=medium

  * Rebuild against new fixed fpc (LP: #1779648)
  * Bump std-version to 4.1.4.1, no changes required.

 -- Gianfranco Costamagna <email address hidden> Mon, 02 Jul 2018 14:40:02 +0200

Changed in hedgewars (Ubuntu Cosmic):
status: New → Fix Released

Release team, please sponsor fpc, and then I can upload the no-change hedgewars rebuild.
This is not a transition, just a miscompilation fix.

Hello LocutusOfBorg, or anyone else affected,

Accepted fpc into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/fpc/3.0.4+dfsg-18ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in fpc (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-bionic
Łukasz Zemczak (sil2100) wrote :

Once this package is built in -proposed please proceed with uploading the hedgewars no-change rebuild.

thanks sil2100! I uploaded hw some seconds ago

Changed in hedgewars (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello LocutusOfBorg, or anyone else affected,

Accepted hedgewars into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/hedgewars/0.9.24.1-dfsg-2ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

hurray! crash is gone
Setting up hedgewars (0.9.24.1-dfsg-2ubuntu1) ...
Processing triggers for libc-bin (2.27-3ubuntu1) ...
Processing triggers for desktop-file-utils (0.23-1ubuntu3.18.04.1) ...
Processing triggers for gnome-menus (3.13.3-11ubuntu1) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Processing triggers for man-db (2.8.3-2) ...

G.

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fpc - 3.0.4+dfsg-18ubuntu1

---------------
fpc (3.0.4+dfsg-18ubuntu1) bionic; urgency=medium

  * debian/patches/fpc-r38400.patch:
    - fix crash when hedgewars closes (LP: #1779648).

 -- Gianfranco Costamagna <email address hidden> Mon, 02 Jul 2018 12:37:17 +0200

Changed in fpc (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for fpc has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hedgewars - 0.9.24.1-dfsg-2ubuntu1

---------------
hedgewars (0.9.24.1-dfsg-2ubuntu1) bionic; urgency=medium

  * No change rebuild against fpc 3.0.4+dfsg-18ubuntu1
    to fix LP: #1779648

 -- Gianfranco Costamagna <email address hidden> Thu, 05 Jul 2018 12:49:01 +0200

Changed in hedgewars (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers